error: Unknown Discovery serviceType in sendDiscSubMessageOnDemand() : null

Bug #1323139 reported by Nachi Ueno on 2014-05-26
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R2.20
Undecided
Bruno Fernando
R2.21.x
Undecided
Bruno Fernando
Trunk
Undecided
Bruno Fernando
OpenContrail
Undecided
Bruno Fernando

Bug Description

I got error: Unknown Discovery serviceType in sendDiscSubMessageOnDemand() : null on WebUI.

- Devstack env

commit a99cbc5733e05c33828d6a84c426c3e707726cbdMerge: 40b4383 5a7380dAuthor: Deepinder Setia <email address hidden>Date: Wed May 14 09:27:40 2014 -0700 Merge pull request #40 from praveenkv/master Handle change in path for vnswad

- OS: Ubuntu 13.10

Error: connect ECONNREFUSED at errnoException (net.js:769:11) at Object.afterConnect [as oncomplete] (net.js:760:19)2014-05-26T02:37:41.056Z - error: URL [http://127.0.0.1:5998/subscribe] returned error [{"code":"ECONNREFUSED","errno":"ECONNREFUSED","syscall":"connect"}]2014-05-26T02:37:41.056Z - error: Unknown Discovery serviceType in sendDiscSubMessageOnDemand() : null

- Contrail WebUI
All component status is "Configuration unavailable"

tags: added: discovery
Bruno Fernando (bfernando) wrote :

I'm getting the same log error:
/var/log/contrail-webui/jobserver.log <==
    at Object.afterConnect [as oncomplete] (net.js:760:19)
2016-02-09T13:10:15.477Z - error: URL [http://127.0.0.1:5998/subscribe] returned error [{"code":"ECONNREFUSED","errno":"ECONNREFUSED","syscall":"connect"}]
2016-02-09T13:10:15.477Z - error: Unknown Discovery serviceType in sendDiscSubMessageOnDemand() : null
2016-02-09T13:10:15.477Z - debug: DiscService Response inserted in retry list for service:{"serviceType":"OpServer","instCnt":20}
2016-02-09T13:10:15.477Z - debug: DiscService Response inserted in retry list for service:{"serviceType":"ApiServer","instCnt":20}
Error: connect ECONNREFUSED

Changed in opencontrail:
assignee: nobody → Bruno Fernando (bfernando)

Review in progress for https://review.opencontrail.org/17250
Submitter: Bruno Fernando (<email address hidden>)

Rahul (rahuls) on 2016-02-16
tags: added: ui

Review in progress for https://review.opencontrail.org/17316
Submitter: Bruno Fernando (<email address hidden>)

Review in progress for https://review.opencontrail.org/17250
Submitter: Bruno Fernando (<email address hidden>)

Review in progress for https://review.opencontrail.org/17316
Submitter: Bruno Fernando (<email address hidden>)

Review in progress for https://review.opencontrail.org/18172
Submitter: Bruno Fernando (<email address hidden>)

Rahul (rahuls) wrote :

This part of code doesn't exist anymore.

Changed in opencontrail:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers